Skip to main content
GET
/
entities
/
business
/
search
Search business core identities by name, EIN, or email.
curl --request GET \
  --url https://api.example.com/entities/business/search
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identifier": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "cross_reference_id": "<string>",
    "business_legal_name": "<string>",
    "business_dba_name": "<string>",
    "business_email": "<string>",
    "business_entity_type": "<string>",
    "business_date_of_incorporation": "<string>",
    "business_phone": "<string>",
    "business_website_url": "<string>",
    "federal_ein": 123,
    "employee_count": "<string>"
  }
]

Query Parameters

business_legal_name
string | null

Partial match on legal name

business_dba_name
string | null

Partial match on DBA name

business_email
string | null

Partial match on email

federal_ein
integer | null

Exact match on federal EIN

limit
integer
default:20

Max results

Required range: 1 <= x <= 100

Response

Successful Response

id
string<uuid>
required
identifier
string
required
created_at
string | null
updated_at
string | null
cross_reference_id
string | null
business_dba_name
string | null
business_email
string | null
business_entity_type
string | null
business_date_of_incorporation
string | null
business_phone
string | null
business_website_url
string | null
federal_ein
integer | null
employee_count
string | null